- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FlowShopOpMutationShift Class Reference

Shift mutation operator for flow-shop. More...

`#include <FlowShopOpMutationShift.h>`

Inheritance diagram for FlowShopOpMutationShift:

List of all members.

## Public Member Functions
std::string | className () const
| the class name (used to display statistics)
bool | operator() (FlowShop &_flowshop)
| modifies the parent with a shift mutation

## Detailed Description

Shift mutation operator for flow-shop.

Definition at line 22 of file FlowShopOpMutationShift.h.

## Member Function Documentation

bool FlowShopOpMutationShift::operator() | ( | FlowShop & | _flowshop | ) | `[virtual]`

modifies the parent with a shift mutation

Parameters:

  | _flowshop | the parent genotype (will be modified)

Implements eoUF< FlowShop &, bool >.

Definition at line 22 of file FlowShopOpMutationShift.cpp.

References eoRng::random(), and moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, GeneType >::value().

The documentation for this class was generated from the following files:

- FlowShopOpMutationShift.h
- FlowShopOpMutationShift.cpp